Package org.globus.ftp.vanilla

# Class Reply

java.lang.Object
org.globus.ftp.vanilla.Reply

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `LocalReply`

public class Reply extends Object implements Serializable

Represents the FTP reply.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`category`
`protected int`
`code`
`protected boolean`
`isMultiline`
`protected String`
`message`
`static final int`
`PERMANENT_NEGATIVE_COMPLETION`
`static final int`
`POSITIVE_COMPLETION`
`static final int`
`POSITIVE_INTERMEDIATE`
`static final int`
`POSITIVE_PRELIMINARY`
`static final int`
`TRANSIENT_NEGATIVE_COMPLETION`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Reply()`
``
`Reply(BufferedReader input)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCategory()`
`int`
`getCode()`
`String`
`getMessage()`
Returns the text that came with the reply, between the leading space and terminating CRLF, excluding the mentioned space and CRLF.
`protected static String`
`ignoreLeading0(String line)`
GT2.0 wuftp server incorrectly inserts \0 between lines.
`boolean`
`isMultiline()`
`static boolean`
`isPermanentNegativeCompletion(Reply reply)`
`static boolean`
`isPositiveCompletion(Reply reply)`
`static boolean`
`isPositiveIntermediate(Reply reply)`
`static boolean`
`isPositivePreliminary(Reply reply)`
`static boolean`
`isTransientNegativeCompletion(Reply reply)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### POSITIVE_PRELIMINARY

public static final int POSITIVE_PRELIMINARY

See Also:
  - Constant Field Values

### POSITIVE_COMPLETION

public static final int POSITIVE_COMPLETION

See Also:
  - Constant Field Values

### POSITIVE_INTERMEDIATE

public static final int POSITIVE_INTERMEDIATE

See Also:
  - Constant Field Values

### TRANSIENT_NEGATIVE_COMPLETION

public static final int TRANSIENT_NEGATIVE_COMPLETION

See Also:
  - Constant Field Values

### PERMANENT_NEGATIVE_COMPLETION

public static final int PERMANENT_NEGATIVE_COMPLETION

See Also:
  - Constant Field Values

### message

protected String message

### code

protected int code

### category

protected int category

### isMultiline

protected boolean isMultiline

## Constructor Details

### Reply

protected Reply()

### Reply

public Reply(BufferedReader input) throws FTPReplyParseException, EOFException, IOException

Throws:
  `EOFException` - on end of stream
  `IOException` - on I/O problem
  `FTPReplyParseException` - if cannot parse

## Method Details

### getCategory

public int getCategory()

Returns:
  the first digit of the reply code.

### getCode

public int getCode()

Returns:
  the reply code

### isMultiline

public boolean isMultiline()

### getMessage

public String getMessage()

Returns the text that came with the reply, between the leading space and terminating CRLF, excluding the mentioned space and CRLF.

If the reply is multi-line, this returns the text between the leading dash "-" and the CRLF following the last line, excluding the mentioned dash and CRLF. Note that lines are separated by the local line separator [as returned by System.getProperty("line.separator")] rather than CRLF.

### isPositivePreliminary

public static boolean isPositivePreliminary(Reply reply)

### isPositiveCompletion

public static boolean isPositiveCompletion(Reply reply)

### isPositiveIntermediate

public static boolean isPositiveIntermediate(Reply reply)

### isTransientNegativeCompletion

public static boolean isTransientNegativeCompletion(Reply reply)

### isPermanentNegativeCompletion

public static boolean isPermanentNegativeCompletion(Reply reply)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### ignoreLeading0

protected static String ignoreLeading0(String line)
GT2.0 wuftp server incorrectly inserts \0 between lines. We have to deal with that.